@import "./colors.module.scss";

.main_container {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  padding: 100px 0;
  width: 80%;
  margin: auto;
  max-width: 1500px;
  gap: 50px;
  @media (max-width: 899px) {
    width: 80%;
  }
  @media (max-width: 767px) {
    grid-template-columns: repeat(2, 1fr);
  }
  @media (max-width: 549px) {
    grid-template-columns: repeat(1, 1fr);
    gap: 40px;
    padding: 80px 0;
  }
  .container_2 {
    display: flex;
    flex-direction: column;
    gap: 20px;
    .hr {
      height: 2px;
      max-width: 300px;
      background-color: $light-green;
    }
    .contact {
      display: flex;
      flex-direction: column;
      gap: 30px;
      padding: 15px 0;
      p {
        display: flex;
        align-items: center;
        gap: 15px;
        max-width: 300px;
        &:hover .icon {
          color: $light-green-1;
        }
        a {
          text-decoration: none;
          color: #fff;
        }
      }
    }
  }
  .container_3 {
    display: flex;
    flex-direction: column;
    gap: 20px;
    p {
      font-size: 18px;
      font-weight: 500;
    }
    .social_icons {
      display: flex;
      gap: 30px;
      @media screen and (min-width: 550px) and (max-width: 899px) {
        gap: 20px;
      }
      .social_icon {
        cursor: pointer;
        font-size: 34px;
        &:hover {
          color: $light-green-1;
        }
      }
    }
  }
}
